namespace BooCompiler.Tests	
{
	using NUnit.Framework;

	[TestFixture]
	public class AstIntegrationTestFixture : AbstractCompilerTestCase
	{
	
		[Test]
		public void ast_literals_1()
		{
			RunCompilerTestCase(@"ast-literals-1.boo");
		}
		
		[Test]
		public void ast_literals_2()
		{
			RunCompilerTestCase(@"ast-literals-2.boo");
		}
		
		[Test]
		public void compile_1()
		{
			RunCompilerTestCase(@"compile-1.boo");
		}
		
		
		override protected string GetRelativeTestCasesPath()
		{
			return "integration/ast";
		}
	}
}
